/*
 * FILE:
 *   enet_basic_socket.hpp
 *
 * PURPOSE:
 *   ENet implementation of BasicSocket
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Public Domain
 *
 */

#ifndef COERCRI_ENET_BASIC_SOCKET_HPP
#define COERCRI_ENET_BASIC_SOCKET_HPP

#include "../network/basic_socket.hpp"

#include "enet/enet.h"

namespace Coercri {

    class EnetBasicSocket : public BasicSocket {
    public:
        EnetBasicSocket(int port);
        virtual ~EnetBasicSocket();

        bool receive(std::string &address, std::string &msg);
        void send(const std::string &address, const std::string &msg);
        void broadcast(const std::string &msg);
        
    private:
        ENetSocket sock;
        int port;
    };

}

#endif
