/*
 * FILE:
 *   window.cpp
 *
 * AUTHOR:
 *   Stephen Thompson, 2008.
 *
 * COPYRIGHT:
 *   Public Domain.
 *
 */

#include "window.hpp"

namespace Coercri {

    void Window::addWindowListener(WindowListener *wl)
    {
        listeners.push_back(wl);
    }

    void Window::rmWindowListener(WindowListener *wl)
    {
        for (std::vector<WindowListener*>::iterator it = listeners.begin(); it != listeners.end(); ++it) {
            if (*it == wl) {
                listeners.erase(it);
                break;
            }
        }
    }

    void Window::invalidateAll()
    {
        int w, h;
        getSize(w, h);
        invalid_region.clear();
        invalid_region.addRectangle(Rectangle(0, 0, w, h));
    }
}
