/*
 * gui_centre.hpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 *
 */

#ifndef GUI_CENTRE_HPP
#define GUI_CENTRE_HPP

#include "gui_simple_container.hpp"

class GuiCentre : public GuiSimpleContainer {
public:
    // defaults:
    // base colour = black
    // opaque = true
    explicit GuiCentre(gcn::Widget *c);      

    bool isOpaque() const { return opaque; } 
    void setOpaque(bool o) { opaque = o; }
    
    // inherited from Widget
    void draw(gcn::Graphics *graphics);

    // inherited from WidgetListener (via GuiSimpleContainer)
    void widgetResized(const gcn::Event &event);

private:
    bool opaque;
};

#endif
